### Method

# EDataCal IntervalTree search

since: 2.32

#### Declaration [src]

    GList*
    e_intervaltree_search (
      EIntervalTree* tree,
      time_t start,
      time_t end
    )

#### Description

No description available.

Available since: 2.32

#### Parameters

`start`

  Type: `time_t`

  Start of the interval.

`end`

  Type: `time_t`

  End of the interval.

#### Return value

Type: A list of `None`

List of `ECalComponent`-s that overlap given interval, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.